cURL
curl --request PATCH \
--url https://api.dock.us/{version}/workspace-plan-tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"completed": false
}
'import requests
url = "https://api.dock.us/{version}/workspace-plan-tasks/{id}"
payload = { "completed": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({completed: false})
};
fetch('https://api.dock.us/{version}/workspace-plan-tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"workspacePlanTask": {
"id": "RiHO4e0Ju3DS",
"updatedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2021-01-01T00:00:00.000Z",
"object": "workspacePlanTask",
"url": "https://api.dock.us/v1/workspace-plan-tasks/RiHO4e0Ju3DS",
"isInternal": false,
"status": "In Progress",
"completedAt": "2024-01-01T00:00:00Z",
"actionLinkUrl": "https://acme.dock.us/onboarding",
"actionLinkName": "View onboarding plan",
"actionText": "View onboarding plan",
"actionType": "link",
"showActionText": true,
"startDate": "2024-01-01",
"title": "Create onboarding plan",
"dueDate": "2024-01-01",
"index": 0,
"templatePlanTaskId": "RiHO4e0Ju3DS"
}
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "The request could not be understood or was missing required parameters"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Access denied. You are not authorized to access this resource"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Access to this resource is restricted"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource could not be found"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "The server has encountered a situation it does not know how to handle"
}
}Workspace plan tasks
Update a workspace plan task
Update a workspace plan task by ID
PATCH
/
workspace-plan-tasks
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier
Example:
"RiHO4e0Ju3DS"
Query Parameters
Select the workspace plan task properties that should be returned
Available options:
isInternal, status, completedAt, actionLinkUrl, actionLinkName, actionText, actionType, showActionText, startDate, title, dueDate, index, createdAt, updatedAt, templatePlanTaskId Body
application/json
Whether the task is completed
Example:
false
Response
Update a workspace plan task by ID
Show child attributes
Show child attributes
⌘I